Fix python detection on Debian

This commit is contained in:
Anthony Rose 2021-06-09 10:39:24 +00:00
parent 5425aebe27
commit 7b210c28d9

View file

@ -38,11 +38,16 @@ else
echo "python3 found: $py3cmd"
fi
if ! $($py3cmd -c "import venv"); then
if ! $($py3cmd -c "import venv" 2> /dev/null); then
echo "Python3 venv module missing. Try installing python3-venv package."
exit 1
fi
if ! $($py3cmd -c "import ensurepip" 2> /dev/null); then
echo "Python3 ensurepip module missing. Try installing python3-venv package."
exit 1
fi
if [ ! -d "$install_path" ]; then
python3 -m venv "$install_path" || exit 1
fi